// Створити сторінку інтернет-магазину.

// Для цього необхідно доповнити проект, створений у попередньому домашньому завданні homework1.

// Технічні вимоги:

// Створити масив із колекцією товарів інтернет-магазину.
// Один товар повинен містити такі дані
// Назва
// Ціна
// Шлях до картинки (url в інтернеті або шлях до файлу в папці public)
// Артикул (будь-які цифри)
// Колір – Всього товарів має бути не менше 10. Тематика магазину – будь-яка.
// Покласти масив у JSON файл, який зберігатиметься в папці public вашого проекту.
// За допомогою AJAX запиту отримати дані з масиву товарів, записати в локальний state компонента головної сторінки.
// Вивести на сторінку перелік товарів. Дизайн можна взяти з PSD файлу з секції LATEST ARRIVALS IN MUSICA або будь-який свій. Дизайн може бути будь-який, але він має бути.
// Картка товару та список товарів обов'язково повинні бути реалізовані як окремі компоненти.
// При натисканні на кнопку Add to cart має з'являтися модальне вікно з підтвердженням додавання товару в кошик (використовуйте відповідний компонент з homework1.
// Також на кожній картці товару має бути іконка зірочки, яка дозволить додати товар до обраного. Якщо товар обраний – зірочка має бути зафарбована будь-яким кольором.
// При додаванні товару в кошик або у вибране, зберігати відповідну зміну в localStorage.
// У шапці сайту показувати іконки кошика та обраного, поряд з якими має бути зазначена кількість товарів, які були додані до кошика чи обране.
// Проект можна стилізувати за допомогою JSS чи SCSS.
// Усі компоненти мають бути створені у вигляді ES6 класів.
// Властивості, які передаються у компоненти, повинні бути перевірені за допомогою propTypes.
// Для всіх властивостей, які не є обов'язковими, необхідно вказати defaultProps.
// На даний момент у додатку має бути лише одна сторінка – головна сторінка зі списком товарів.



import React from 'react';
import './App.css';
import List from './components/List/List';


class App extends React.Component{
  state = {
    arrayState : []
  }

  componentDidMount() {
    fetch ("./array.json")
    .then(res => {return res.json()})
    .then(result => {this.setState({arrayState: result})})
    
  }
  

  render(){
console.log(this.state);
    return (
      <div className="App">
        <List arrayState = {this.state.arrayState}></List>
      </div>
    );
  }
  
}

export default App;
